Typedefs | Functions

# aes.h File Reference

Go to the source code of this file.

## Typedefs
typedef struct _AESInfo | AESInfo
## Functions
WizardExport AESInfo * | AcquireAESInfo (void)
WizardExport AESInfo ** | DestroyAESInfo (AESInfo *)
WizardExport unsigned int | GetAESBlocksize (const AESInfo *)
WizardExport void | DecipherAESBlock (AESInfo *, const unsigned char *, unsigned char *)
WizardExport void | EncipherAESBlock (AESInfo *, const unsigned char *, unsigned char *)
WizardExport void | SetAESKey (AESInfo *, const StringInfo *)

## Typedef Documentation

typedef struct _AESInfo AESInfo

## Function Documentation

WizardExport AESInfo* AcquireAESInfo | ( | void |  | ) |

WizardExport void DecipherAESBlock | ( | AESInfo * | ,
|  | const unsigned char * | ,
|  | unsigned char * |  |
| ) |  |  |

WizardExport AESInfo* * DestroyAESInfo | ( | AESInfo * |  | ) |

References CipherDomain, _AESInfo::decipher_key, DestroyStringInfo(), _AESInfo::encipher_key, GetWizardModule, _AESInfo::key, LogWizardEvent(), RelinquishWizardMemory(), _AESInfo::signature, TraceEvent, WizardAssert, and WizardSignature.

Referenced by DestroyCipherInfo().

WizardExport void EncipherAESBlock | ( | AESInfo * | ,
|  | const unsigned char * | ,
|  | unsigned char * |  |
| ) |  |  |

WizardExport unsigned int GetAESBlocksize | ( | const AESInfo * |  | ) |

References _AESInfo::blocksize, CipherDomain, GetWizardModule, LogWizardEvent(), _AESInfo::signature, TraceEvent, WizardAssert, and WizardSignature.

Referenced by AcquireCipherInfo().

WizardExport void SetAESKey | ( | AESInfo * | ,
|  | const StringInfo * |  |
| ) |  |  |

References AESBlocksize, ByteSubTransform(), CipherDomain, CopyWizardMemory(), _AESInfo::decipher_key, _AESInfo::encipher_key, GetStringInfoDatum(), GetStringInfoLength(), GetWizardModule, InverseAddRoundKey(), _AESInfo::key, LogWizardEvent(), Min, ResetWizardMemory(), RotateRight(), _AESInfo::rounds, SBox, _AESInfo::signature, TraceEvent, WizardAssert, WizardSignature, and XTime().

Referenced by SetCipherKey().